[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# IsATTY

Check if filehandle is a TTY (terminal)

## Declaration

Source position: line 0

`function IsATTY(`
`Handle: LongInt`
`):Boolean; function IsATTY(`
`var f: text`
`):Boolean;`

## Description

Check if the filehandle described by f is a terminal. f can be of type

1. longint for file handles;
2. Text for text variables such as input etc.

Returns True if f is a terminal, False otherwise.

## Errors

No errors are reported

## See also

IOCtl |  | General kernel IOCTL call.
TTYName |  | Terminal control: Get terminal name

Documentation generated on: Feb 26 2014